Subject: bug#35381: 26.2; nxml-mode doesn't fontify attributes in single quotes

From: Stefan Monnier <[email-masked]>
Date: Thu, 25 Apr 2019 08:47:07 -0400

> I'm not sure about this, is the disadvantage of the ?- also out
> of date?

If not, we should just fix it with appropriate syntax-propertize tricks.

>  Including ?- has the problem of affecting dashes that have nothing to do
>  with comments, so we normally turn it off.")

Actually, I think the issue with -- comments is not just that they
should not be treated as such when appearing outside tags, but that even
within tags it's often not to be considered as comments.

E.g. according to my flaky memory --...-- is not considered as a comment
in HTML nor in XML (both inside and outside of tags).

        Stefan